#!/bin/sh
#mewbie's Rar Compression Tester altered from dn's ZIP Checker
VERSION="1.00"

#INSTRUCTIONS
#Add the following lines to your glftpd.conf:
#  site_cmd RARTEST           EXEC    /bin/rartest.sh
#  custom-rartest   !8 *
#Make sure unrar, rar and echo are in your binary path that is
#specified below and they are chmod 755

#VARIABLES
binpath="/bin" #relative to /glftpd

#DO NOT TOUCH BELOW THIS
#---------------------------------------------------------------
echo "Rar Tester v"$VERSION""
echo ""

#Do some tests for needed bins
[ ! -e "$binpath"/rar ] && {
    echo "ERROR: the binary \"rar\" can't be found in"
    echo "       $binpath.  Please fix this problem and "
    echo "       try again."
    exit 1
}

[ ! -e "$binpath"/echo ] && {       
    echo "ERROR: the binary \"echo\" can't be found in"
    echo "       $binpath.  Please fix this problem and "
    echo "       try again."
    exit 1
}

[ -z "$1" ] && {
    echo "Usage: site rartest file.rar [somefile]"
    exit 0
}

file1="`basename $1`"

[ ! -e "$file1" ] && {
    echo "That rarfile does not exist!"
    exit 1
}

if [ -z "$2" ]; then
    echo "Listing from:"
    "$binpath"/rar vt "$file1" 2>/dev/null
    echo ""
    exit 0
else
    file2="`basename $2`"
    echo "Listing "$file2" from:"
    "$binpath"/rar vt "$file1" "$file2" 2>/dev/null
    exit 0
fi

exit 0
